package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the filesgroup database table.
 * 
 */
@Entity
public class FilesGroup implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idfile;

	private String dateupload;

	private String linkfile;

	private String namefile;

	//bi-directional many-to-one association to MemberGroup
	@ManyToOne
	@JoinColumns({
		@JoinColumn(name="email", referencedColumnName="email"),
		@JoinColumn(name="idgroup", referencedColumnName="idgroup")
		})
	private MemberGroup membergroup;

	public FilesGroup() {
	}

	public String getIdfile() {
		return this.idfile;
	}

	public void setIdfile(String idfile) {
		this.idfile = idfile;
	}

	public String getDateupload() {
		return this.dateupload;
	}

	public void setDateupload(String dateupload) {
		this.dateupload = dateupload;
	}

	public String getLinkfile() {
		return this.linkfile;
	}

	public void setLinkfile(String linkfile) {
		this.linkfile = linkfile;
	}

	public String getNamefile() {
		return this.namefile;
	}

	public void setNamefile(String namefile) {
		this.namefile = namefile;
	}

	public MemberGroup getMembergroup() {
		return this.membergroup;
	}

	public void setMembergroup(MemberGroup membergroup) {
		this.membergroup = membergroup;
	}

}